# typed: false
FactoryBot.define do
  factory :domain_user_job_event_add_tracked_object,
          class: "Domain::UserJobEvent::AddTrackedObject" do
    user { association :domain_user_fa_user }
    log_entry { association :http_log_entry }
    num_added { 1 }
    num_total { 5 }
    duration_since_last_scan { 1.day }

    trait :favs_scan do
      kind { "favs" }
    end
  end
end
